| Home | Libraries | People | FAQ | More

## Function template find_tail

boost::algorithm::find_tail — Find tail algorithm.

## Synopsis

    // In header: <boost/algorithm/string/find.hpp>

    template<typename RangeT>
      iterator_range< typename range_iterator< RangeT >::type >
      find_tail(RangeT & Input, int N);

## Description

Get the tail of the input. Tail is a suffix of the string of the given size. If the input is shorter then required, whole input if considered to be the tail.

Parameters: |
`Input` | An input string
`N` | Length of the tail. For N>=0, at most N characters are extracted. For N<0, size(Input)-|N| characters are extracted.
Returns: | An `iterator_range` delimiting the match. Returned iterator is either `RangeT::iterator` or `RangeT::const_iterator`, depending on the constness of the input parameter.
Notes: | This function provides the strong exception-safety guarantee